Bug 1017535 - Met syntax error when creating app with rockmongo embedded.
Met syntax error when creating app with rockmongo embedded.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 02:41 EDT by Liang Xia
Modified: 2015-05-14 19:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-10-10 02:41:50 EDT
Description of problem:
Met following errors when creating app with rockmongo embedded:
[Thu Oct 10 02:17:21 2013] [warn] module php5_module is already loaded, skipping
Syntax error on line 2 of /var/lib/openshift/5256461b9adf5d5831000084/rockmongo/etc/conf.d/openshift.conf:
DocumentRoot must be a directory

Version-Release number of selected component (if applicable):
devenv_3880
rhc 1.15.6

How reproducible:
always

Steps to Reproduce:
1.create an app with mongo and rockmongo embedded.
2.
3.

Actual results:
# rhc app create pacman1 nodejs-0.6 mongodb-2.2 rockmongo-1 
Using rockmongo-1.1 (RockMongo 1.1) for 'rockmongo-1'

Application Options
-------------------
  Domain:     lxia
  Cartridges: nodejs-0.6, mongodb-2.2, rockmongo-1.1
  Gear Size:  default
  Scaling:    no

Creating application 'pacman1' ... 
[Thu Oct 10 02:17:21 2013] [warn] module php5_module is already loaded, skipping
Syntax error on line 2 of /var/lib/openshift/5256461b9adf5d5831000084/rockmongo/etc/conf.d/openshift.conf:
DocumentRoot must be a directory


Expected results:
App created successfully without errors.

Additional info:
rockmongo can be embedded after app has been successfully created.
Comment 1 Liang Xia 2013-10-10 06:59:39 EDT
This does not happen on devenv_stage_491.

# rhc app create pacman2 nodejs-0.6 mongodb-2.2 rockmongo-1.1
Application Options
-------------------
  Domain:     lxia
  Cartridges: nodejs-0.6, mongodb-2.2, rockmongo-1.1
  Gear Size:  default
  Scaling:    no

Creating application 'pacman2' ... done

  MongoDB 2.2 database added.  Please make note of these credentials:

   Root User:     admin
   Root Password: trFz8S8wbMT1
   Database Name: pacman2

Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/

Please make note of these MongoDB credentials again:
  RockMongo User: admin
  RockMongo Password: trFz8S8wbMT1
URL: https://pacman2-lxia.dev.rhcloud.com/rockmongo/

Waiting for your DNS name to be available ... done

Cloning into 'pacman2'...
Warning: Permanently added 'pacman2-lxia.dev.rhcloud.com,54.205.214.104' (RSA) to the list of known hosts.

Your application 'pacman2' is now available.

  URL:        http://pacman2-lxia.dev.rhcloud.com/
  SSH to:     52568785173c0b1ebe000054@pacman2-lxia.dev.rhcloud.com
  Git remote: ssh://52568785173c0b1ebe000054@pacman2-lxia.dev.rhcloud.com/~/git/pacman2.git/
  Cloned to:  /root/test/pacman2

Run 'rhc show-app pacman2' for more details about your app.
Comment 2 Andy Goldstein 2013-10-10 10:28:33 EDT
Should be fixed with https://github.com/openshift/li/pull/1969
Comment 3 openshift-github-bot 2013-10-10 12:47:05 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/d43c2a421d3e2dd1d5162e4d7ca33cd79db3b2d8
Bug 1017535: fix RockMongo document root

RockMongo's DocumentRoot was set to $OPENSHIFT_REPO_DIR, but that
variable isn't valid yet when creating an app with a web framework
cartridge, mongodb, and rockmongo. The $OPENSHIFT_REPO_DIR symlink is
only valid after the web framework cartridge has been post-configured,
and that happens after RockMongo.

Remove DocumentRoot as it's not needed.
Comment 4 Liang Xia 2013-10-11 04:00:11 EDT
checked on devenv_3886, this does not happen.

# rhc app create pacman1 nodejs-0.6 mongodb-2.2 rockmongo-1 
Using rockmongo-1.1 (RockMongo 1.1) for 'rockmongo-1'

Application Options
-------------------
  Domain:     lxia
  Cartridges: nodejs-0.6, mongodb-2.2, rockmongo-1.1
  Gear Size:  default
  Scaling:    no

Creating application 'pacman1' ... done

  MongoDB 2.2 database added.  Please make note of these credentials:

   Root User:     admin
   Root Password: QgMQ7iYJ9NkW
   Database Name: pacman1

Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/

Please make note of these MongoDB credentials:
  RockMongo User: admin
  RockMongo Password: QgMQ7iYJ9NkW
URL: https://pacman1-lxia.dev.rhcloud.com/rockmongo/

Waiting for your DNS name to be available ... done

Cloning into 'pacman1'...
Warning: Permanently added 'pacman1-lxia.dev.rhcloud.com,23.20.132.0' (RSA) to the list of known hosts.

Your application 'pacman1' is now available.

  URL:        http://pacman1-lxia.dev.rhcloud.com/
  SSH to:     5257ae6d68bf143738000007@pacman1-lxia.dev.rhcloud.com
  Git remote: ssh://5257ae6d68bf143738000007@pacman1-lxia.dev.rhcloud.com/~/git/pacman1.git/
  Cloned to:  /root/test/pacman1

Run 'rhc show-app pacman1' for more details about your app.

Note You need to log in before you can comment on or make changes to this bug.